// Copyright (C) 2008 - INRIA
// Copyright (C) 2009-2011 - DIGITEO

// This file is released under the 3-clause BSD license. See COPYING-BSD.

function main_builder()
    TOOLBOX_NAME  = "engdict";
    TOOLBOX_TITLE = "English Dictionary";
    toolbox_dir   = get_absolute_file_path("builder.sce");

    // Check Scilab's version
    // =============================================================================
    v = getversion("scilab");
    if v(1) < 5 & v(2) < 4 then
        // csvRead() introduced in 5.4
        error(gettext("Scilab 5.4 or more is required."));
    end

    // Check modules_manager module availability
    // =============================================================================
    if ~isdef("tbx_build_loader") then
        error(msprintf(gettext("%s module not installed."), "modules_manager"));
    end

    // Action
    // =============================================================================
    tbx_builder_macros(toolbox_dir);
    // tbx_build_localization(TOOLBOX_NAME, toolbox_dir);
    tbx_builder_help(toolbox_dir);
    tbx_build_loader(TOOLBOX_NAME, toolbox_dir);
    tbx_build_cleaner(TOOLBOX_NAME, toolbox_dir);
endfunction
// =============================================================================
main_builder();
clear main_builder; // remove main_builder on stack
// =============================================================================


